/** @file vs_phong.glsl
 * 
 *  @brief Vertex shader for phong shading.
 *
 *  Your description here
 *
 *  @author <Your name> (andrewid)
 *  @bug <Fill in your bugs here.>
 */

uniform float shininess;            // shininess
 
/* phong lighting components */
varying float phong_diffuse, phong_specular, phong_edge;

void main() {
  // Transform vertex to clip space
  gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
  // Vertex color unchanged
  gl_FrontColor = gl_Color;
  
  // Phong illumination components
  
  /* TODO: Delete and replace with your own implementation */
  phong_diffuse = 1.0;
  phong_specular = 0.0;  
  phong_edge = 0.0;
  /* END TODO */
}
